Bug 41498 - allRolesMode Realm configuration option not documented
allRolesMode Realm configuration option not documented
Status: RESOLVED FIXED
Product: Tomcat 5
Classification: Unclassified
Component: Webapps:Documentation
5.5.20
Other other
: P2 enhancement (vote)
: ---
Assigned To: Tomcat Developers Mailing List
:
Depends on:
Blocks:
  Show dependency tree
 
Reported: 2007-01-30 09:39 UTC by G Monroe
Modified: 2011-07-22 12:12 UTC (History)
0 users



Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description G Monroe 2007-01-30 09:39:15 UTC
This option needs to be included in the Realm Configuration HOW-TO Common
features section and possibly in the specific Realm Element attributes tables.

Optionally, the API should be made clearer about the linkage between the server
XML attributes and properties.  This linkage is not obvious without a deep
understanding of Tomcat internals. IMHO, the BaseRealm classes are designed for
"public" consumption and the API docs should reflect that.
Comment 1 Mark Thomas 2007-01-30 16:13:43 UTC
Patches are always welcome.
Comment 2 Mark Thomas 2010-06-13 14:01:27 UTC
Correct the component
Comment 3 Mark Thomas 2011-07-22 12:12:22 UTC
Fixed in 7.0.x and will be included in 7.0.20 onwards.
Fixed in 6.0.x and will be included in 6.0.33 onwards.
Fixed in 5.5.x and will be included in 5.5.34 onwards.